Bug 2107924 (CVE-2022-33743) - CVE-2022-33743 kernel: network backend may cause Linux netfront to use freed SKBs (XSA-405)
Summary: CVE-2022-33743 kernel: network backend may cause Linux netfront to use freed ...
Keywords:
Status: NEW
Alias: CVE-2022-33743
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2118313 2118314 2108189
Blocks: 2104654
TreeView+ depends on / blocked
 
Reported: 2022-07-17 17:08 UTC by Alex
Modified: 2022-12-31 23:34 UTC (History)
49 users (show)

Fixed In Version: Linux kernel 5.19-rc6
Doc Type: If docs needed, set a value
Doc Text:
An incomplete cleanup flaw was found in the Linux kernel’s Xen networking XDP (eXpress Data Path) subsystem. This flaw allows a local user to crash the system.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Alex 2022-07-17 17:08:37 UTC
A flaw memory leak in the Linux Kernel XDP (eXpress Data Path) was found.
It can lead to denial of service for some specific configurations like if the non root privileged user from the host system can send malicious packets to the guest systems.
This flaw actual for the Linux Kernel versions 5.9 - 5.18.

References:
https://www.openwall.com/lists/oss-security/2022/07/05/5
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/net/xen-netfront.c?h=v5.19-rc7&id=f63c2c2032c2e3caad9add3b82cc6e91c376fd26

Comment 4 Alex 2022-07-18 14:43:18 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2108189]

Comment 5 Justin M. Forbes 2022-07-18 21:18:44 UTC
This was fixed for Fedora with the 5.18.10 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.